Package ch.qos.logback.core.joran.util.beans

## Class BeanUtil

- java.lang.Object
- - ch.qos.logback.core.joran.util.beans.BeanUtil

    public class BeanUtil
    extends java.lang.Object

Encapsulates utility methods associated with standard java beans.

Author:
  urechm

### Field Summary

Fields
`static java.lang.String` `PREFIX_ADDER`
`static java.lang.String` `PREFIX_GETTER_GET`
`static java.lang.String` `PREFIX_GETTER_IS`
`static java.lang.String` `PREFIX_SETTER`

### Constructor Summary

Constructors
`BeanUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `getPropertyName​(java.lang.reflect.Method method)`
`static boolean` `isAdder​(java.lang.reflect.Method method)`
`static boolean` `isGetter​(java.lang.reflect.Method method)`
`static boolean` `isSetter​(java.lang.reflect.Method method)`
`static java.lang.String` `toLowerCamelCase​(java.lang.String string)` Converts the given String into lower camel case form.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PREFIX_GETTER_IS

    public static final java.lang.String PREFIX_GETTER_IS

See Also:
  Constant Field Values

#### PREFIX_GETTER_GET

    public static final java.lang.String PREFIX_GETTER_GET

See Also:
  Constant Field Values

#### PREFIX_SETTER

    public static final java.lang.String PREFIX_SETTER

See Also:
  Constant Field Values

#### PREFIX_ADDER

    public static final java.lang.String PREFIX_ADDER

See Also:
  Constant Field Values

### Constructor Detail

#### BeanUtil

    public BeanUtil()

### Method Detail

#### isAdder

    public static boolean isAdder​(java.lang.reflect.Method method)

Parameters:
  `method` - to check if it is an 'adder' method.
Returns:
  true if the given method is an 'adder' method.

#### isGetter

    public static boolean isGetter​(java.lang.reflect.Method method)

Parameters:
  `method` - to check if it is a standard java beans getter.
Returns:
  true if the given method is a standard java beans getter.

#### isSetter

    public static boolean isSetter​(java.lang.reflect.Method method)

Parameters:
  `method` - to check if it is a standard java beans setter.
Returns:
  true if the given method is a standard java beans setter.

#### getPropertyName

    public static java.lang.String getPropertyName​(java.lang.reflect.Method method)

Parameters:
  `method` - to get the associated property name for.
Returns:
  The property name of the associated property if the given method matches a standard java beans getter or setter.

#### toLowerCamelCase

    public static java.lang.String toLowerCamelCase​(java.lang.String string)

Converts the given String into lower camel case form.

Parameters:
  `string` - to decapitalize.
Returns:
  null if the given String is null. Emtpy string if the given string is empty. The given string if the first two consecutive letters are in upper case. The given string with the first letter in lower case otherwise, which might be the given string.